0 Replies Latest reply on Oct 10, 2006 5:28 PM by Subramaniam Venkatachalam

    Getting Error while trying to migrate to JBoss-4.0.3 from Jb

    Subramaniam Venkatachalam Newbie

      Hello,

      I have to migrate from the older version of Jboss-3.2.4 to the JBoss-4.0.3

      But i am facing some extreme difficulties,

      I am getting the Error message will JBoss is trying to deploy one of the ejb-jar files.

      23:20:32,680 WARN [EJBDeployer] Verify failed; continuing
      java.lang.NoClassDefFoundError: com/citi/commons/SubscriptionId
      at java.lang.Class.getDeclaredMethods0(Native Method)
      at java.lang.Class.privateGetDeclaredMethods(Class.java:1647)
      at java.lang.Class.privateGetPublicMethods(Class.java:1770)
      at java.lang.Class.getMethods(Class.java:824)
      at org.jboss.verifier.strategy.AbstractVerifier.hasEJBCreateMethod(AbstractVerifier.java:664)
      at org.jboss.verifier.strategy.EJBVerifier20.verifySessionBean(EJBVerifier20.java:834)
      at org.jboss.verifier.strategy.EJBVerifier20.checkSession(EJBVerifier20.java:64)
      at org.jboss.verifier.BeanVerifier.verify(BeanVerifier.java:166)
      at org.jboss.ejb.EJBDeployer.create(EJBDeployer.java:559)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
      at java.lang.reflect.Method.invoke(Method.java:324)
      at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:141)
      at org.jboss.mx.server.Invocation.dispatch(Invocation.java:80)
      at org.jboss.mx.interceptor.AbstractInterceptor.invoke(AbstractInterceptor.java:118)
      at org.jboss.mx.server.Invocation.invoke(Invocation.java:74)
      at org.jboss.mx.interceptor.ModelMBeanOperationInterceptor.invoke(ModelMBeanOperationInterceptor.java:127)
      at org.jboss.mx.interceptor.DynamicInterceptor.invoke(DynamicInterceptor.java:80)
      at org.jboss.mx.server.Invocation.invoke(Invocation.java:74)
      at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:245)

      But when i deploy in older version i am not getting error.

      I just downloaded the Jboss-4.0.3 and then placed my ear file in the default 's deploy directory.

      I have not changed any settings.

      Can someone please him the matter is of very urgent importants.

      Thanks in advance,
      Subramaniam V